<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.ejb3.cluster-passivation-store">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="bean-cache,cache-container,client-mappings-cache,idle-timeout,idle-timeout-unit,max-size,passivate-events-on-replicate"/>
        <elem name="addr-params" value="profile,subsystem,cluster-passivation-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <refs>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="passivate-events-on-replicate" nillable="true"/>
        <param name="bean-cache" nillable="true"/>
        <param name="cluster-passivation-store" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" nillable="true"/>
        <param name="max-size" nillable="true"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="idle-timeout-unit" nillable="true"/>
        <param name="idle-timeout" nillable="true"/>
        <param name="client-mappings-cache" nillable="true"/>
    </params>
</feature-spec>